org.apache.ignite.spi.systemview.view

## Class SqlViewColumnView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.SqlViewColumnView

-     public class SqlViewColumnView
      extends Object

  Sql view column representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlViewColumnView(org.apache.ignite.internal.processors.query.h2.sys.view.SqlSystemView view, org.h2.table.Column col)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `columnName()`
    `String` | `defaultValue()`
    `boolean` | `nullable()`
    `long` | `precision()`
    `int` | `scale()`
    `String` | `schemaName()`
    `String` | `type()`
    `String` | `viewName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlViewColumnView

          public SqlViewColumnView(org.apache.ignite.internal.processors.query.h2.sys.view.SqlSystemView view,
                                   org.h2.table.Column col)

      Parameters:
        `view` - View.
        `col` - Column.

  - ### Method Detail

    - #### columnName

          public String columnName()

      Returns:
        Column name.

    - #### schemaName

          public String schemaName()

      Returns:
        Schema name.

    - #### viewName

          public String viewName()

      Returns:
        View name.

    - #### type

          public String type()

      Returns:
        Field data type.

    - #### defaultValue

          public String defaultValue()

      Returns:
        Field default.

    - #### precision

          public long precision()

      Returns:
        Precision.

    - #### scale

          public int scale()

      Returns:
        Scale.

    - #### nullable

          public boolean nullable()

      Returns:
        `True` if nullable field.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022